{lib, ...}: {
  imports = [];

  fileSystems."/" = {
    device = "gha-root";
    fsType = "tmpfs";
    options = ["size=1G" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-uuid/e0a160ef-7d46-4705-9152-a6b602898136";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/19da7f3a-69da-4fa8-bb68-b355d7697ba7";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/e0a160ef-7d46-4705-9152-a6b602898136";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };

  swapDevices = [{device = "/dev/disk/by-uuid/e6e3ba6b-c9f5-4960-b56d-f49760d76a4a";}];

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
